Page MenuHomePhabricator

Add data formatter for libstdc++ tuple
ClosedPublic

Authored by tberghammer on Oct 18 2016, 10:45 AM.

Diff Detail

Event Timeline

tberghammer retitled this revision from to Add data formatter for libstdc++ tuple.
tberghammer updated this object.
tberghammer added reviewers: labath, granata.enrico.
tberghammer added a subscriber: lldb-commits.

There are same problems with formatting as in D25726. Also test case main() has wrong indentation.

labath edited edge metadata.Oct 19 2016, 6:27 AM

Just minor nits from my side.

packages/Python/lldbsuite/test/functionalities/data-formatter/data-formatter-stl/libstdcpp/tuple/Makefile
5

I don't think this is necessary.

8

Replace with CFLAGS_EXTRAS += $(NO_LIMIT_DEBUG_INFO_FLAGS)

source/Plugins/Language/CPlusPlus/LibStdcppTuple.cpp
58
77

You can use %z now.

tberghammer edited edge metadata.
tberghammer marked 4 inline comments as done.
labath accepted this revision.Oct 21 2016, 7:05 AM
labath edited edge metadata.
This revision is now accepted and ready to land.Oct 21 2016, 7:05 AM
This revision was automatically updated to reflect the committed changes.

Headers orders is still not correct.

Sorry, I missed that part. I just submitted r284831 what should fix the header order for both case.